<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Campaign Management">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to upload a malicious file to a project" /><title>Uploading a Malicious File</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/uploading-malicious-files.html">Open topic with navigation</a>
        </p>
        <h3>Uploading a Malicious File</h3>
        <ol>
            <li value="1">From within a project, click the <b class="UISelection">Campaigns </b>tab. 
</li>
            <li value="2">Click the <b class="UISelection">Manage Reusable Resources</b> tab. 
</li>
            <li value="3">From the <b class="UISelection">Resource </b>dropdown, select<b class="UISelection"> Malicious Files</b>.
</li>
            <li value="4">Click the <b class="UISelection">New Malicious File</b> button. 
</li>
            <li value="5">In the <b class="UISelection">File name</b> field, enter the name of the file that you are importing. The file name must include the file extension. For example, if you are uploading an executable file, the file name should include the exe extension. 
</li>
            <li value="6">Click the <b class="UISelection">Browse </b>button to navigate to the location of the file that you want to upload. Once you have found and selected the file, click the <b class="UISelection">Open </b>button. The path to the file will appear in the Attachment field. </li>
            <li value="7">
Click the <b class="UISelection">Save </b>button. </li>
        </ol>
    </body>
</html>